> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Custom Field Definition



## OpenAPI

````yaml POST /api/v1/response/custom-fields
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/response/custom-fields:
    post:
      tags:
        - response
      summary: Create custom field definition
      operationId: CustomFieldDefinitionController_create_v1
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateFieldDefinitionDto'
      responses:
        '201':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    CreateFieldDefinitionDto:
      type: object
      properties:
        name:
          type: string
        fieldType:
          type: string
          enum:
            - text
            - number
            - date
            - select
        required:
          type: boolean
        options:
          type: array
          items:
            type: string
      required:
        - name
        - fieldType
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````